From: Tobias Geerinckx-Rice <me@tobias.gr>
Date: Sat, 14 Nov 2020 15:40:38 +0100
Subject: [PATCH] gnu: perl-www-curl: Remove undeclared symbols.

Copied verbatim from the FreeBSD port[0].

[0]: https://www.freshports.org/www/p5-WWW-Curl

--- a/Makefile.PL	2014-02-21 08:08:09.000000000 -0800
+++ b/Makefile.PL	2020-04-20 15:36:35.008798000 -0700
@@ -100,6 +100,13 @@
      print "Found curl.h in $curl_h\n";
      my @syms;
      my $has_cpp = 0;
+     my @skiplist = qw/
+        CURL_DID_MEMORY_FUNC_TYPEDEFS
+        CURL_STRICTER
+        CURLINC_CURL_H
+        CURL_WIN32
+        CURLOPT
+     /;
      open(H_IN, "-|", "cpp", $curl_h) and $has_cpp++;
      unless ($has_cpp) {
          warn "No working cpp ($!).  Parsing curl.h in Perl";
@@ -121,6 +128,7 @@
     open (H, "<", $curl_h) or die ("Cannot open $curl_h: ".$!);
     while(<H>) {
         if (/^#define (CURL[A-Za-z0-9_]*)/) {
+            next if $1 ~~ @skiplist;
             push @syms, $1;
         }
     }
/table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=ad4d6885431c35216fadd14e0f25b825678afd1f'>refs</a><a class='active' href='/guix/log/gnu/packages/busybox.scm'>log</a><a href='/guix/tree/gnu/packages/busybox.scm?id=ad4d6885431c35216fadd14e0f25b825678afd1f'>tree</a><a href='/guix/commit/gnu/packages/busybox.scm?id=ad4d6885431c35216fadd14e0f25b825678afd1f'>commit</a><a href='/guix/diff/gnu/packages/busybox.scm?id=ad4d6885431c35216fadd14e0f25b825678afd1f'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/busybox.scm'>
<input type='hidden' name='id' value='ad4d6885431c35216fadd14e0f25b825678afd1f'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/log/?id=ad4d6885431c35216fadd14e0f25b825678afd1f'>root</a>/<a href='/guix/log/gnu?id=ad4d6885431c35216fadd14e0f25b825678afd1f'>gnu</a>/<a href='/guix/log/gnu/packages?id=ad4d6885431c35216fadd14e0f25b825678afd1f'>packages</a>/<a href='/guix/log/gnu/packages/busybox.scm?id=ad4d6885431c35216fadd14e0f25b825678afd1f'>busybox.scm</a></div><div class='content'><table class='list nowrap'><tr class='nohover'><th class='left'>Age</th><th class='left'>Commit message (<a href='/guix/log/gnu/packages/busybox.scm?id=ad4d6885431c35216fadd14e0f25b825678afd1f&amp;showmsg=1'>Expand</a>)</th><th class='left'>Author</th></tr>
<tr><td><span title='2023-02-02 18:52:07 +0200'>2023-02-02</span></td><td><a href='/guix/commit/gnu/packages/busybox.scm?id=301f12832601eef6b130f3946d9d597ae43a514a'>gnu: busybox: Update to 1.36.0.</a><span class='msg-avail'>...<span class='msg-tooltip'>* gnu/packages/busybox.scm (busybox): Update to 1.36.0.
</span></span></td><td>Efraim Flashner</td></tr>
<tr><td><span title='2022-11-06 15:18:43 +0100'>2022-11-06</span></td><td><a href='/guix/commit/gnu/packages/busybox.scm?id=f1380352271b1407b08823c31aedc13d70008ae9'>gnu: busybox: Update to 1.35.0.</a><span class='msg-avail'>...<span class='msg-tooltip'>* gnu/packages/busybox.scm (busybox): Update to 1.35.0.

Signed-off-by: Christopher Baines &lt;mail@cbaines.net&gt;
</span></span></td><td>Hilton Chain</td></tr>
<tr><td><span title='2022-09-26 23:29:38 +0200'>2022-09-26</span></td><td><a href='/guix/commit/gnu/packages/busybox.scm?id=e5fc55493d85f01e8c6036401c73cdb73d2ec30a'>gnu: busybox: Fix cross-compilation.</a><span class='msg-avail'>...<span class='msg-tooltip'>* gnu/packages/busybox.scm (busybox)[arguments]: Switch to gexps.
Honor #:tests? in 'check' phase.  Add #:make-flags.

Signed-off-by: Ludovic Courtès &lt;ludo@gnu.org&gt;
</span></span></td><td>Lu Hui</td></tr>
<tr><td><span title='2022-05-22 02:00:00 +0200'>2022-05-22</span></td><td><a href='/guix/commit/gnu/packages/busybox.scm?id=38787e36c1fc8108e93bcc702c5de44000a161ca'>gnu: toybox: Use #:make-flags.</a><span class='msg-avail'>...<span class='msg-tooltip'>* gnu/packages/busybox.scm (toybox)[arguments]: Add #:make-flags to
replace ad hoc use of environment variables and custom phases.
Remove the 'set-environment-variables and custom 'install phase.
</span></span></td><td>Tobias Geerinckx-Rice</td></tr>
<tr><td><span title='2022-05-22 02:00:00 +0200'>2022-05-22</span></td><td><a href='/guix/commit/gnu/packages/busybox.scm?id=b55d0f553b4823afd49f3ebd979b90b94d54da22'>gnu: toybox: Update to 0.8.7.</a><span class='msg-avail'>...<span class='msg-tooltip'>* gnu/packages/busybox.scm (toybox): Update to 0.8.7.
</span></span></td><td>Tobias Geerinckx-Rice</td></tr>
<tr><td><span title='2022-05-22 02:00:08 +0200'>2022-05-22</span></td><td><a href='/guix/commit/gnu/packages/busybox.scm?id=a927a9e25b4a269c9f76ca9f424750466e2e2daa'>gnu: busybox: Update to 1.34.1.</a><span class='msg-avail'>...<span class='msg-tooltip'>* gnu/packages/busybox.scm (busybox): Update to 1.34.1.
[arguments]: Don't explicitly return #t from phases.
</span></span></td><td>Tobias Geerinckx-Rice</td></tr>
<tr><td><span title='2022-01-06 05:24:17 +0100'>2022-01-06</span></td><td><a href='/guix/commit/gnu/packages/busybox.scm?id=24b04f5d4e82284a48f07213bd02b83401db8898'>gnu: toybox: Use G-expressions.</a><span class='msg-avail'>...<span class='msg-tooltip'>* gnu/packages/busybox.scm (toybox)[arguments]:
Rewrite as G-expressions.
</span></span></td><td>Tobias Geerinckx-Rice</td></tr>
<tr><td><span title='2022-01-06 05:24:16 +0100'>2022-01-06</span></td><td><a href='/guix/commit/gnu/packages/busybox.scm?id=7a96516f60e39c360a7416ac890f93f6e5f7e5f2'>gnu: toybox: Update to 0.8.6.</a><span class='msg-avail'>...<span class='msg-tooltip'>* gnu/packages/busybox.scm (toybox): Update to 0.8.6.
</span></span></td><td>Tobias Geerinckx-Rice</td></tr>
